Create
cancel
Showing results for 
Search instead for 
Did you mean: 
Sign up Log in

Next challenges

Recent achievements

  • Global
  • Personal

Recognition

  • Give kudos
  • Received
  • Given

Leaderboard

  • Global

Trophy case

Kudos (beta program)

Kudos logo

You've been invited into the Kudos (beta program) private group. Chat with others in the program, or give feedback to Atlassian.

View group

It's not the same without you

Join the community to find out what other Atlassian users are discussing, debating and creating.

Atlassian Community Hero Image Collage

Jira Service Desk web page is not available Edited

Hi team, good day~

Hope you are doing well!

I have installed Jira service desk on my server a few months ago and it is working fine. However, after patching and the server was reboot last weekend, I can not open Jira service desk webpage, it just shows an error page saying the page can not be loaded.

On server, I can start and stop Jira Service Desk without any error, but in logs, there are some error related to database configuration manager, but I am not sure how to fix it.

Could anyone help on this? any ideas? really appreciated.

Best Regards,

Rita

3 answers

1 accepted

0 votes
Answer accepted

Hello~~

The issue has been fixed, it is related to port issue. After open port, we can access the web page.

Thanks

0 votes

It sounds like it is not able to start up properly, you'll need to read the logs to see why it is not starting.  You mention database configuration manager which suggests it might not be able to talk to its database.

Hi Nic,

Thanks for your quick response.

Here are the logs from catalina.out, I checked some related posts but I did not find any solutions that work, could you please suggest what I need to check? Thanks in advance.

2020-10-12 04:07:34,715-0400 JIRA-Bootstrap ERROR [c.a.jira.startup.DefaultJiraLauncher] JIRA has failed to start because of the following errors: [(Event: Level = (EventLevel: fatal) , Key = (EventType: startup-unexpected) , Desc = We couldn't start JIRA , Exception = An error occurred while trying to start JIRA. We can't give you any more detail right now, we suggest checking the logs for more detail and contacting our support team.<br/>See our documentation for more information on contacting our support team and creating a support zip.), (Event: Level = (EventLevel: fatal) , Key = (EventType: database) , Desc = Could not execute health check, DatabaseConfigurationManager not available. , Exception = ]
2020-10-12 04:07:34,731-0400 JIRA-Bootstrap INFO [c.a.jira.startup.LauncherContextListener] Memory Usage:
---------------------------------------------------------------------------------
Heap memory : Used: 79 MiB. Committed: 901 MiB. Max: 2011 MiB
Non-heap memory : Used: 74 MiB. Committed: 90 MiB. Max: 1536 MiB
---------------------------------------------------------------------------------
TOTAL : Used: 153 MiB. Committed: 991 MiB. Max: 3547 MiB
---------------------------------------------------------------------------------

Hi @Rita

Please share logs from Jira home directory to better understand the issue

<jira-home>/logs/atlassian-jira.log

Hi,

Below are the logs from atlassian-jira.log after using start-jira.sh script to start Jira Service Desk.  Could you please help to check the issue? Thanks in advance.

2020-10-13 02:58:09,240-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "jira.webresources:ajs-underscorejs-amd-shim" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use jira.webresources:underscore-1.8.3 instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:registry")
2020-10-13 02:58:09,240-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "jira.webresources:ajs-backbone-amd-shim" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use jira.webresources:backbone-1.0.0 instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:registry")
2020-10-13 02:58:09,240-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "jira.webresources:ajs-underscorejs-amd-shim" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use jira.webresources:underscore-1.8.3 instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:init")
2020-10-13 02:58:09,240-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.plugins.atlassian-plugins-webresource-plugin:web-resource-manager" has been deprecated since 3.1.7 and will be removed in 4.0.0. Use com.atlassian.plugins.atlassian-plugins-webresource-rest:web-resource-manager instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:controller")
2020-10-13 02:58:09,240-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-tooltips" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-tooltip instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:undo-redo-ui")
2020-10-13 02:58:09,240-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "jira.webresources:ajs-underscorejs-amd-shim" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use jira.webresources:underscore-1.8.3 instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:marionette")
2020-10-13 02:58:09,240-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "jira.webresources:ajs-backbone-amd-shim" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use jira.webresources:backbone-1.0.0 instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:marionette")
2020-10-13 02:58:09,240-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.plugins.atlassian-plugins-webresource-plugin:web-resource-manager" has been deprecated since 3.1.7 and will be removed in 4.0.0. Use com.atlassian.plugins.atlassian-plugins-webresource-rest:web-resource-manager instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:element")
2020-10-13 02:58:09,241-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "jira.webresources:ajs-underscorejs-amd-shim" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use jira.webresources:underscore-1.8.3 instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:schema-builder")
2020-10-13 02:58:09,241-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "jira.webresources:ajs-underscorejs-amd-shim" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use jira.webresources:underscore-1.8.3 instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:instance")
2020-10-13 02:58:09,241-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "jira.webresources:ajs-underscorejs-amd-shim" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use jira.webresources:underscore-1.8.3 instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:api")
2020-10-13 02:58:09,241-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-soy-templates" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:soy instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:renderer")
2020-10-13 02:58:09,241-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-soy-templates" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:soy instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:rte-configuration")
2020-10-13 02:58:09,241-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-soy-templates-2" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:soy instead. (required by "com.atlassian.jira.plugins.jira-editor-plugin:rteInitElement")
2020-10-13 02:58:09,242-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:ajs-underscorejs" has been deprecated since 8.0.0 and will be removed in 9.0.0. Underscore or an equivalent utility library should be bundled by and internally scoped in individual products or plugins. (required by "com.atlassian.webhooks.atlassian-webhooks-plugin:webhooks-admin-resources")
2020-10-13 02:58:09,242-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:message" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-message instead. (required by "com.atlassian.webhooks.atlassian-webhooks-plugin:webhooks-admin-resources")
2020-10-13 02:58:09,242-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:dialog" has been deprecated since 5.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-dialog2 instead. (required by "com.atlassian.webhooks.atlassian-webhooks-plugin:aui-dialog")
2020-10-13 02:58:09,242-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-tooltips" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-tooltip instead. (required by "com.atlassian.plugins.issue-status-plugin:issue-status-resources")
2020-10-13 02:58:09,242-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:dropdown" has been deprecated since 5.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-dropdown2 instead. (required by "com.atlassian.gadgets.publisher:ajs-gadgets-lite")
2020-10-13 02:58:09,242-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:ajs-underscorejs" has been deprecated since 8.0.0 and will be removed in 9.0.0. Underscore or an equivalent utility library should be bundled by and internally scoped in individual products or plugins. (required by "com.atlassian.gadgets.publisher:ajs-gadgets-lite")
2020-10-13 02:58:09,243-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "jira.webresources:underscore-1.5.2" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use jira.webresources:underscore-1.8.3 instead. (required by "com.atlassian.jirawallboard.atlassian-wallboard-plugin:wallboard-resources")
2020-10-13 02:58:09,243-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:ajs-backbone" has been deprecated since 8.0.0 and will be removed in 9.0.0. Backbone should be bundled by and internally scoped in individual products or plugins. (required by "com.atlassian.jira.jira-user-profile-plugin:user-details-resources")
2020-10-13 02:58:09,243-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:ajs-backbone" has been deprecated since 8.0.0 and will be removed in 9.0.0. Backbone should be bundled by and internally scoped in individual products or plugins. (required by "com.atlassian.jira.project-templates-plugin:project-templates-plugin-resources")
2020-10-13 02:58:09,243-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-soy-templates" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:soy instead. (required by "com.atlassian.jira.project-templates-plugin:project-templates-plugin-resources")
2020-10-13 02:58:09,243-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:dialog2" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-dialog2 instead. (required by "com.atlassian.whisper.atlassian-whisper-plugin:atlassian-whisper-hermes")
2020-10-13 02:58:09,243-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-expander" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-expander instead. (required by "com.atlassian.whisper.atlassian-whisper-plugin:atlassian-whisper-hermes")
2020-10-13 02:58:09,243-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-spinner" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-spinner instead. (required by "com.atlassian.whisper.atlassian-whisper-plugin:atlassian-whisper-hermes")
2020-10-13 02:58:09,244-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:ajs-underscorejs" has been deprecated since 8.0.0 and will be removed in 9.0.0. Underscore or an equivalent utility library should be bundled by and internally scoped in individual products or plugins. (required by "com.atlassian.jira.jira-mail-plugin:outgoing-mail-page")
2020-10-13 02:58:09,244-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:ajs-underscorejs" has been deprecated since 8.0.0 and will be removed in 9.0.0. Underscore or an equivalent utility library should be bundled by and internally scoped in individual products or plugins. (required by "com.atlassian.jira.plugins.jira-workflow-designer:underscore")
2020-10-13 02:58:09,244-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:ajs-underscorejs" has been deprecated since 8.0.0 and will be removed in 9.0.0. Underscore or an equivalent utility library should be bundled by and internally scoped in individual products or plugins. (required by "com.atlassian.jira.plugins.jira-workflow-designer:backbone.marionette")
2020-10-13 02:58:09,244-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "jira.webresources:jquery-ui" has been deprecated since 8.0.0 and will be removed in 9.0.0. jQuery UI is a painful set of code to pull in and depend upon since it fundamentally relies upon mutating a shared global object and encourages implicit dependencies that are hard to trace. AUI or AtlasKit components should be used instead. (required by "com.atlassian.jira.plugins.jira-workflow-designer:draw2d")
2020-10-13 02:58:09,244-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:inline-dialog" has been deprecated since 5.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-inline-dialog2 instead. (required by "com.atlassian.jira.plugins.jira-workflow-designer:inline-dialog-view")
2020-10-13 02:58:09,244-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.plugins.atlassian-plugins-webresource-plugin:web-resource-manager" has been deprecated since 3.1.7 and will be removed in 4.0.0. Use com.atlassian.plugins.atlassian-plugins-webresource-rest:web-resource-manager instead. (required by "com.atlassian.jira.plugins.jira-workflow-designer:workflow-designer-loader")
2020-10-13 02:58:09,245-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-expander" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-expander instead. (required by "com.atlassian.jira.plugins.jira-workflow-designer:workflow-designer")
2020-10-13 02:58:09,245-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-tooltips" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-tooltip instead. (required by "com.atlassian.jira.plugins.jira-workflow-designer:workflow-designer")
2020-10-13 02:58:09,245-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-iconfont" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-iconography instead. This key was the old way of including the base aui-icon markup pattern along with all of AUI's defined iconography. If you only want the icon markup pattern, you can include "com.atlassian.auiplugin:aui-icon". (required by "com.atlassian.jira.plugins.jira-workflow-designer:workflow-designer")
2020-10-13 02:58:09,245-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:inline-dialog" has been deprecated since 5.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-inline-dialog2 instead. (required by "com.atlassian.jira.plugins.jira-workflow-designer:workflow-designer")
2020-10-13 02:58:09,245-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:aui-experimental-soy-templates" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:soy instead. (required by "com.atlassian.gadgets.dashboard:client-side-soy-templates")
2020-10-13 02:58:09,245-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.plugins.atlassian-plugins-webresource-plugin:web-resource-manager" has been deprecated since 3.1.7 and will be removed in 4.0.0. Use com.atlassian.plugins.atlassian-plugins-webresource-rest:web-resource-manager instead. (required by "com.atlassian.gadgets.dashboard:dashboard")
2020-10-13 02:58:09,245-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:ajs-backbone" has been deprecated since 8.0.0 and will be removed in 9.0.0. Backbone should be bundled by and internally scoped in individual products or plugins. (required by "com.atlassian.gadgets.dashboard:dashboard")
2020-10-13 02:58:09,245-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:dialog2" has been deprecated since 8.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-dialog2 instead. (required by "com.atlassian.gadgets.dashboard:dashboard")
2020-10-13 02:58:09,245-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:dropdown" has been deprecated since 5.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-dropdown2 instead. (required by "com.atlassian.gadgets.dashboard:dashboard")
2020-10-13 02:58:09,246-0400 http-nio-8080-exec-1 WARN [webresource] [DEPRECATED] "com.atlassian.auiplugin:dialog" has been deprecated since 5.0.0 and will be removed in 9.0.0. Use com.atlassian.auiplugin:aui-dialog2 instead. (required by "com.atlassian.applinks.applinks-oauth-plugin:oauth-auth")
2020-10-13 02:58:10,238-0400 HealthCheck:thread-3 ERROR [c.a.t.j.healthcheck.support.GadgetFeedUrlHealthCheck] An error occurred when performing the Gadget feed URL healthcheck
java.net.SocketTimeoutException: Read timed out
at java.net.SocketInputStream.socketRead0(Native Method)
at java.net.SocketInputStream.socketRead(SocketInputStream.java:116)
at java.net.SocketInputStream.read(SocketInputStream.java:171)
at java.net.SocketInputStream.read(SocketInputStream.java:141)
at org.apache.http.impl.io.SessionInputBufferImpl.streamRead(SessionInputBufferImpl.java:137)
at org.apache.http.impl.io.SessionInputBufferImpl.fillBuffer(SessionInputBufferImpl.java:153)
at org.apache.http.impl.io.SessionInputBufferImpl.readLine(SessionInputBufferImpl.java:280)
at org.apache.http.impl.conn.DefaultHttpResponseParser.parseHead(DefaultHttpResponseParser.java:138)
at org.apache.http.impl.conn.DefaultHttpResponseParser.parseHead(DefaultHttpResponseParser.java:56)
at org.apache.http.impl.io.AbstractMessageParser.parse(AbstractMessageParser.java:259)
at org.apache.http.impl.DefaultBHttpClientConnection.receiveResponseHeader(DefaultBHttpClientConnection.java:163)
at org.apache.http.impl.conn.CPoolProxy.receiveResponseHeader(CPoolProxy.java:157)
at org.apache.http.protocol.HttpRequestExecutor.doReceiveResponse(HttpRequestExecutor.java:273)
at org.apache.http.protocol.HttpRequestExecutor.execute(HttpRequestExecutor.java:125)
at org.apache.http.impl.execchain.MainClientExec.execute(MainClientExec.java:272)
at org.apache.http.impl.execchain.ProtocolExec.execute(ProtocolExec.java:186)
at org.apache.http.impl.execchain.RetryExec.execute(RetryExec.java:89)
at org.apache.http.impl.execchain.RedirectExec.execute(RedirectExec.java:110)
at org.apache.http.impl.client.InternalHttpClient.doExecute(InternalHttpClient.java:185)
at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:83)
at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:108)
at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:56)
at com.atlassian.troubleshooting.jira.healthcheck.support.GadgetFeedUrlHealthCheck.check(GadgetFeedUrlHealthCheck.java:56)
at com.atlassian.troubleshooting.healthcheck.impl.PluginSuppliedSupportHealthCheck.check(PluginSuppliedSupportHealthCheck.java:49)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
at java.lang.Thread.run(Thread.java:748)
2020-10-13 02:58:10,967-0400 Caesium-1-2 DEBUG [c.a.activeobjects.osgi.ActiveObjectsServiceFactory] getService bundle [com.atlassian.troubleshooting.plugin-jira]

Suggest an answer

Log in or Sign up to answer
TAGS
Community showcase
Published in Jira Service Management

Why upgrade to Jira Service Management Premium?

We often have questions from folks using Jira Service Management about the benefits to using Premium. Check out this video to learn how you can unlock even more value in our Premium plan.  &nb...

189 views 1 6
Read article

Community Events

Connect with like-minded Atlassian users at free events near you!

Find an event

Connect with like-minded Atlassian users at free events near you!

Unfortunately there are no Community Events near you at the moment.

Host an event

You're one step closer to meeting fellow Atlassian users at your local event. Learn more about Community Events

Events near you